Skip to main content
Resource Center/Hardware/Primary Storage Operations/XStor Block Primary Storage Operations
GETXStor Block Primary Storage OperationsSince 4.6.0SynchronousAuth Required

QueryBlockPrimaryStorage

QueryBlockPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

  • inventoryPrimaryStorageInventoryRequired

    For more information, see inventories

Endpoint

GET/zstack/v1/primary-storage/block

/zstack/v1/primary-storage/block

Operation ID

QueryBlockPrimaryStorage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/block' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "vendorName": "XStor", "uuid": "8f93d463f7d73e1c959aee815ff1e9a8" } ] }

Change History

This API has no change history records yet.

View all change history